--- /dev/null
+# Copyright (C) 2011 Manuel Munz <freifunk at somakoma de>
+# This is free software, licensed under the Apache 2.0 license.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=community-profiles
+PKG_RELEASE:=1
+
+PKG_BUILD_DIR := $(BUILD_DIR)/$(PKG_NAME)
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/community-profiles
+ SECTION:=luci
+ CATEGORY:=LuCI
+ SUBMENU:=Freifunk
+ TITLE:=Community profiles
+ DEPENDS:=freifunk-common
+endef
+
+define Package/community-profiles/description
+ These community profiles set defaults for various free network/freifunk communities and are used by wizards like ffwizard and meshwizard.
+endef
+
+define Build/Prepare
+ mkdir -p $(PKG_BUILD_DIR)
+endef
+
+define Build/Configure
+endef
+
+define Build/Compile
+endef
+
+define Package/community-profiles/install
+ $(CP) ./files/* $(1)/
+endef
+
+$(eval $(call BuildPackage,community-profiles))
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk'
+ option 'homepage' 'http://freifunk.net'
+ option 'ssid' 'www.freifunk.net'
+ option 'splash_network' '10.104.0.0/16'
+ option 'latitude' '52.000'
+ option 'longitude' '10.000'
+ option 'splash_prefix' '28'
+ option 'mesh_network' '10.0.0.0/8'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Aachen'
+ option 'homepage' 'http://aachen.freifunk.net'
+ option 'ssid' 'aachen.freifunk.net'
+ option 'suffix' 'ffc'
+ option 'latitude' '50.77900'
+ option 'longitude' '6.05399'
+ option 'mesh_network' '10.90.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '28'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Augsburg'
+ option 'homepage' 'http://augsburg.freifunk.net'
+ option 'ssid' 'augsburg.freifunk.net'
+ option 'mesh_network' '10.11.0.0/18'
+ option 'splash_network' '10.104.0.0/16'
+ option 'latitude' '48.37071'
+ option 'longitude' '10.89475'
+ option 'suffix' 'ffa'
+ option 'splash_prefix' '27'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.255.192.0'
+
+config 'defaults' 'bssidscheme'
+ option '1' '02:CA:FF:EE:BA:BE'
+ option '13' '13:CA:FF:EE:BA:BE'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Bayreuth'
+ option 'homepage' 'http://bayreuth.freifunk.net'
+ option 'ssid' 'bayreuth.freifunk.net'
+ option 'mesh_network' '10.195.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'latitude' '49.945812'
+ option 'longitude' '11.575045'
+ option 'suffix' 'ffbt'
+ option 'splash_prefix' '28'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.255.192.0'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '4'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' '42:CA:FF:EE:BA:BE'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Bensheim'
+ option 'homepage' 'http://bensheim.freifunk.net'
+ option 'ssid' 'bensheim.freifunk.net'
+ option 'mesh_network' '10.49.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '49.63939'
+ option 'longitude' '8.633718'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Piratenfreifunk Bergisches Land'
+ option 'homepage' 'http://www.piraten-bergisches-land.de'
+ option 'ssid' 'PiratenfunkBL'
+ option 'mesh_network' '10.3.0.0/16'
+ option 'splash_network' '192.168.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.26849'
+ option 'longitude' '7.19476'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '11'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' '02:40:00:42:42:42'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Berlin'
+ option 'homepage' 'http://berlin.freifunk.net'
+ option 'ssid' 'olsr.freifunk.net'
+ option 'mesh_network' '104.0.0.0/8'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '52.52075'
+ option 'longitude' '13.40948'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '10'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.0.0.0'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'carbodebit'
+ option 'homepage' 'http://carbodebit.net'
+ option 'ssid' 'VHDCARBES'
+ option 'mesh_network' '10.72.1.0/24'
+ option 'latitude' '43.633683'
+ option 'longitude' '2.160894'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' 'DE:78:70:E4:FA:B8'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.255.255.0'
+ option 'dns' '10.70.1.1 213.190.64.170 213.190.64.166'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '11'
+ option 'country' 'FR'
+ option 'distance' '2000'
+
+config 'defaults' 'bssidscheme'
+ option 'all' 'DE:78:70:E4:FA:B8'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Dresden'
+ option 'homepage' 'http://ddmesh.de/'
+ option 'ssid' 'dresden.freifunk.net'
+ option 'mesh_network' '10.12.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.05081'
+ option 'longitude' '13.73420'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Duesseldorf'
+ option 'homepage' 'http://freifunk-duesseldorf.de'
+ option 'ssid' 'duesseldorf.freifunk.net'
+ option 'mesh_network' '10.40.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.217812'
+ option 'longitude' '6.761564'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '3'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' '02:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Evernet eG'
+ option 'homepage' 'http://www.evernet-eg.de'
+ option 'ssid' 'evernet.freifunk.net'
+ option 'mesh_network' '10.0.0.0/8'
+ option 'latitude' '51.15692062509162'
+ option 'longitude' '10.716041922569275'
+ option 'suffix' 'evernet'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.0.0.0'
+
+config 'defaults' 'bssidscheme'
+ option 'all' '02:CA:FF:EE:BA:BE'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '13'
+ option 'country' 'DE'
+ option 'txpower' '19'
+ option 'beacon_int' '5000'
+ option 'distance' '1500'
+ option 'noscan' '0'
+
+config 'defaults' 'wifi_iface'
+ option 'mcast_rate' '6000'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Gadow'
+ option 'homepage' 'http://gadow.freifunk.net'
+ option 'ssid' 'gadow.freifunk.net'
+ option 'mesh_network' '104.0.0.0/8'
+ option 'splash_network' '10.61.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '53.11'
+ option 'longitude' '12.61'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.0.0.0'
+
+config 'defaults' 'bssidscheme'
+ option '1' '02:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Guifi Bages'
+ option 'homepage' 'http://guifi.net/PlaBages'
+ option 'ssid' 'guifibages'
+ option 'mesh_network' '10.224.3.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'theme' 'luci-theme-freifunk-generic'
+ option 'latitude' '41.718437'
+ option 'longitude' '1.826477'
+ option 'suffix' 'guifibages.cat'
+ option 'splash_prefix' '27'
+ option 'extrapackages' 'luci-app-olsr-viz luci-i18n-catalan'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.255.0.0'
+
+config 'defaults' 'bssidscheme'
+ option 'all' '12:34:56:78:9a:bc'
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Halle'
+ option 'homepage' 'http://halle.freifunk.net'
+ option 'ssid' 'halle.freifunk.net'
+ option 'mesh_network' '104.62.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.47911'
+ option 'longitude' '11.96901'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Hamburg'
+ option 'homepage' 'http://hamburg.piratenpartei.de'
+ option 'ssid' 'hamburg.freifunk.net'
+ option 'mesh_network' '10.112.0.0/12'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '53.56262'
+ option 'longitude' '10.01069'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.240.0.0'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Hannover'
+ option 'homepage' 'http://hannover.freifunk.net'
+ option 'ssid' 'hannover.freifunk.net'
+ option 'mesh_network' '10.2.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '52.38427'
+ option 'longitude' '9.74359'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' 'CA:FF:EE:CA:FF:EE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Heppenheim'
+ option 'homepage' 'http://heppenheim.freifunk.net'
+ option 'ssid' 'heppenheim.freifunk.net'
+ option 'mesh_network' '10.48.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.151786'
+ option 'longitude' '10.415039'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Jena'
+ option 'homepage' 'http://www.freifunk-jena.de'
+ option 'ssid' 'www.freifunk-jena.de'
+ option 'mesh_network' '10.127.0.0/20'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '29'
+ option 'latitude' '50.92779'
+ option 'longitude' '11.58431'
+
+config 'defaults' 'interface'
+ option 'dns' '217.11.48.200 217.11.49.200 8.8.8.8'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Kiberpipa.net'
+ option 'homepage' 'http://www.kiberpipa.net'
+ option 'ssid' 'open.kiberpipa.net'
+ option 'mesh_network' '10.14.0.0/16'
+ option 'splash_network' '10.14.128.0/17'
+ option 'splash_prefix' '27'
+ option 'latitude' '46.05063'
+ option 'longitude' '14.50402'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '8'
+
+config 'defaults' 'interface'
+ option 'dns' '10.14.0.1 208.67.222.220 208.67.220.222'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk L59'
+ option 'homepage' 'http://freifunk.net'
+ option 'ssid' 'start.freifunk.net'
+ option 'mesh_network' '104.59.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '52.26337'
+ option 'longitude' '10.52103'
+
+config 'defaults' 'bssidscheme'
+ option '1' '02:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Leipzig'
+ option 'homepage' 'http://leipzig.freifunk.net'
+ option 'ssid' 'leipzig.freifunk.net'
+ option 'mesh_network' '104.61.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.33348'
+ option 'longitude' '12.40297'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.0.0.0'
+
+config 'defaults' 'bssidscheme'
+ option '1' '02:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Mainz'
+ option 'homepage' 'http://mainz.freifunk.net'
+ option 'ssid' 'mainz.freifunk.net'
+ option 'mesh_network' '10.37.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '49.99635'
+ option 'longitude' '8.27417'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' '02:ca:ff:ee:ba:be'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Marburg'
+ option 'homepage' ' http://marburg.freifunk.de'
+ option 'ssid' 'marburg.freifunk.net'
+ option 'mesh_network' '10.128.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '29'
+ option 'latitude' '49.63939'
+ option 'longitude' '8.633718'
+
+config 'defaults' 'interface'
+ option 'dns' '8.8.8.8 212.204.49.83'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Neuss'
+ option 'homepage' 'http://neuss.freifunk.net'
+ option 'ssid' 'neuss.freifunk.net'
+ option 'mesh_network' '172.28.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.19045'
+ option 'longitude' '6.69471'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '11'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' 'DE:AD:BE:EF:CA:FE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Oldenburg'
+ option 'homepage' 'http://oldenburg.freifunk.net'
+ option 'ssid' 'oldenburg.freifunk.net'
+ option 'mesh_network' '10.18.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '53.14083'
+ option 'longitude' '8.21314'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '6'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' '02:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Openwireless Bern'
+ option 'homepage' 'http://bern.openwireless.ch/'
+ option 'ssid' 'www.openwireless.ch'
+ option 'mesh_network' '10.247.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '50.814788'
+ option 'longitude' '8.769239'
+
+config 'defaults' 'interface'
+ option 'dns' '208.67.222.222 208.67.220.220'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '10'
+ option 'country' '756'
+
+
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Berlin Prenzlauer Berg'
+ option 'homepage' 'http://pberg.freifunk.net'
+ option 'ssid' 'olsr.freifunk.net'
+ option 'mesh_network' '104.0.0.0/8'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '52.5427'
+ option 'longitude' '13.4172'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '10'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Piratenfreifunk Dresden'
+ option 'homepage' 'http://www.piraten-sachsen.de/'
+ option 'ssid' 'dresden.freifunk.net'
+ option 'mesh_network' '10.12.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '51.05081'
+ option 'longitude' '13.73420'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Potsdam'
+ option 'homepage' 'http://potsdam.freifunk.net'
+ option 'ssid' 'www.freifunk-potsdam.de'
+ option 'mesh_network' '10.22.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '52.39349'
+ option 'longitude' '13.06489'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '13'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Rosbach'
+ option 'homepage' 'freifunk-rosbach.de'
+ option 'ssid' 'rosbach.freifunk.net'
+ option 'mesh_network' '10.212.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '50.18'
+ option 'longitude' '8.42'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '13'
+
+config 'defaults' 'wifi_iface'
+ option 'bssid' 'D2:CA:FF:EE:BA:BE'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'Freifunk Seefeld'
+ option 'homepage' 'http://wiki.freifunk.net/Seefeld.freifunk.net'
+ option 'ssid' 'seefeld.freifunk.net'
+ option 'mesh_network' '10.111.0.0/16'
+ option 'splash_network' '10.104.0.0/16'
+ option 'splash_prefix' '27'
+ option 'latitude' '48.03485'
+ option 'longitude' '11.21279'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
+ option 'bssid' '02:CA:FF:EE:BA:BB'
--- /dev/null
+config 'community' 'profile'
+ option 'name' 'wlan ljubljana'
+ option 'homepage' 'http://wlan-lj.net'
+ option 'ssid' 'open.wlan-lj.net'
+ option 'mesh_network' '10.254.0.0/16'
+ option 'splash_network' '10.254.120.0/21'
+ option 'splash_prefix' '27'
+ option 'latitude' '46.05063'
+ option 'longitude' '14.50402'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '8'
+
+config 'defaults' 'interface'
+ option 'dns' '10.254.0.1 10.254.0.2'
--- /dev/null
+# Copyright (C) 2011 Manuel Munz <freifunk at somakoma de>
+# This is free software, licensed under the Apache 2.0 license.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=freifunk-common
+PKG_RELEASE:=1
+
+PKG_BUILD_DIR := $(BUILD_DIR)/$(PKG_NAME)
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/freifunk-common
+ SECTION:=luci
+ CATEGORY:=LuCI
+ SUBMENU:=Freifunk
+ TITLE:=Freifunk common files
+ DEPENDS:=freifunk-common
+endef
+
+define Package/freifunk-common/description
+ Common files and scripts that are needed to run free wireless mesh networks.
+endef
+
+define Package/luci-mod-freifunk/conffiles
+/etc/config/freifunk
+endef
+
+define Build/Prepare
+ mkdir -p $(PKG_BUILD_DIR)
+endef
+
+define Build/Configure
+endef
+
+define Build/Compile
+endef
+
+define Package/freifunk-common/install
+ $(CP) ./files/* $(1)/
+endef
+
+$(eval $(call BuildPackage,freifunk-common))
--- /dev/null
+package 'freifunk'
+
+config 'public' 'contact'
+ option 'nickname' ''
+ option 'name' ''
+ option 'mail' ''
+ option 'phone' ''
+ option 'location' ''
+ option 'note' ''
+
+config 'public' 'community'
+ option 'name' 'Freifunk'
+ option 'homepage' 'http://freifunk.net'
+
+config 'fw_zone' 'zone_freifunk'
+ option 'name' 'freifunk'
+ option 'input' 'REJECT'
+ option 'forward' 'REJECT'
+ option 'output' 'ACCEPT'
+
+config 'fw_rule' 'fficmp'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'icmp'
+
+config 'fw_rule' 'ffhttp'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'tcp'
+ option 'dest_port' '80'
+
+config 'fw_rule' 'ffhttps'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'tcp'
+ option 'dest_port' '443'
+
+config 'fw_rule' 'ffssh'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'tcp'
+ option 'dest_port' '22'
+
+config 'fw_rule' 'ffolsr'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'udp'
+ option 'dest_port' '698'
+
+config 'fw_rule' 'ffwprobe'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'tcp'
+ option 'dest_port' '17990'
+
+config 'fw_rule' 'ffdns'
+ option 'dest_port' '53'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'udp'
+
+config 'fw_rule' 'ffdhcp'
+ option 'src_port' '68'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'dest_port' '67'
+ option 'proto' 'udp'
+ option 'leasetime' '30m'
+
+config 'fw_rule' 'ffsplash'
+ option 'dest_port' '8082'
+ option 'src' 'freifunk'
+ option 'target' 'ACCEPT'
+ option 'proto' 'tcp'
+
+config 'fw_forwarding' 'lanfffwd'
+ option 'src' 'lan'
+ option 'dest' 'freifunk'
+
+config 'fw_forwarding' 'ffwanfwd'
+ option 'src' 'freifunk'
+ option 'dest' 'wan'
+
+config 'fw_forwarding' 'fffwd'
+ option 'src' 'freifunk'
+ option 'dest' 'freifunk'
+
+config 'include' 'freifunk'
+ option 'path' '/etc/firewall.freifunk'
+
+config 'defaults' 'system'
+ option 'zonename' 'Europe/Berlin'
+ option 'timezone' 'CET-1CEST,M3.5.0,M10.5.0/3'
+
+config 'defaults' 'wifi_device'
+ option 'channel' '1'
+ option 'diversity' '1'
+ option 'disabled' '0'
+ option 'country' 'DE'
+ option 'hwmode' '11g'
+ option 'distance' '1000'
+
+config 'defaults' 'wifi_iface'
+ option 'mode' 'adhoc'
+ option 'encryption' 'none'
+ option 'bgscan' '0'
+ option 'bssid' '12:CA:FF:EE:BA:BE'
+ option 'sw_merge' '1'
+ option 'mcast_rate' '5500'
+ option 'probereq' '1'
+
+config 'defaults' 'interface'
+ option 'netmask' '255.255.0.0'
+ option 'dns' '8.8.8.8 212.204.49.83 141.1.1.1'
+
+config 'defaults' 'alias'
+ option 'netmask' '255.255.255.0'
+
+config 'defaults' 'dhcp'
+ option 'leasetime' '30m'
+ option 'force' '1'
+
+config 'defaults' 'olsr_interfacedefaults'
+ option 'Ip4Broadcast' '255.255.255.255'
+
+config 'defaults' 'upgrade'
+ option 'repository' 'http://dev.luci.freifunk-halle.net/freifunk-snapshots'
+ option 'rssfeed' 'http://firmware.leipzig.freifunk.net/kamikaze/.rss.xml'
+
--- /dev/null
+#!/bin/sh /etc/rc.common
+# Freifunk Init
+# $Id$
+
+START=99
+
+boot() {
+ test -f /etc/crontabs/root || touch /etc/crontabs/root
+
+ grep -q 'killall -HUP dnsmasq' /etc/crontabs/root || {
+ echo "*/5 * * * * killall -HUP dnsmasq" >> /etc/crontabs/root
+ }
+
+ grep -q '/usr/sbin/ff_olsr_watchdog' /etc/crontabs/root || {
+ echo "*/5 * * * * /usr/sbin/ff_olsr_watchdog" >> /etc/crontabs/root
+ }
+
+ grep -q '/usr/sbin/ff_rdate' /etc/crontabs/root || {
+ echo "0 */4 * * * /usr/sbin/ff_rdate" >> /etc/crontabs/root
+ }
+
+ [ -d /etc/rc.local.d ] && {
+ for file in /etc/rc.local.d/*; do
+ test -f "$file" && . "$file"
+ done
+ }
+
+ ( sleep 40; /usr/sbin/ff_rdate; /etc/init.d/cron restart ) &
+}
--- /dev/null
+# Fixup various configurations to remove quirks
+# from former versions.
+
+_log() {
+ logger -t "Config Migration" "$1"
+}
+
+_uci() {
+ uci ${2:+-c $2} get "$1" 2>/dev/null
+}
+
+
+# Splash redirector had a wrong virtual url match
+# which resulted in "No such handler"
+
+[ "$(_uci lucid.splashredir.virtual)" == "/" ] && {
+ _log "Fix splash redirector configuration"
+ uci set lucid.splashredir.virtual=''
+ uci commit lucid
+ /etc/init.d/lucid restart
+}
+
+
+# Newer OLSR versions have the MinTCVtime hack active,
+# ensure proper timings or olsrd won't start
+
+FIX=0
+for i in 0 1 2 3 4; do
+ [ -z "$(_uci olsrd.@Interface[$i].TcInterval)" ] && \
+ [ -z "$(_uci olsrd.@Interface[$i].TcValidityTime)" ] || {
+ uci delete olsrd.@Interface[$i].TcInterval
+ uci delete olsrd.@Interface[$i].TcValidityTime
+ FIX=1
+ }
+done
+
+[ "$FIX" == 1 ] && {
+ _log "Fix olsrd configuration for MinTCVTime hack"
+ uci commit olsrd
+ /etc/init.d/olsrd restart
+}
+
+
+# Ensure that the community definitions are in the
+# new format
+
+[ -z "$(_uci freifunk.leipzig.mesh_network)" ] && \
+[ -n "$(_uci freifunk.leipzig.mesh_network /rom/etc/config)" ] && {
+ _log "Converting freifunk configuration to new format"
+ cp /rom/etc/config/freifunk /etc/config/freifunk
+}
--- /dev/null
+#!/bin/sh
+
+test "$1" = "-h" && echo -e "Usage:\n\t$0 -h\n\t$0 [ { ip | hostname } ]" >&2 && exit 1
+
+host="${1:-leipzig.freifunk.net}"
+
+wget -O /dev/null http://$host/cgi-bin-dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/dev-zero.bin
+test "$?" = "1" && wget -O /dev/null http://$host/cgi-bin/luci/freifunk/status/zeroes
+test "$?" = "1" && echo "$host: no zero download found..." && exit 1
--- /dev/null
+#!/bin/sh
+
+wget -q -O - http://localhost:2006/neighbours|sed -e's/LinkQuality/LQ/;s/Hysteresis/Hyst./;s/Willingness/Will./'
--- /dev/null
+#!/usr/bin/lua
+
+require "os"
+require "io"
+require "uci"
+local fs = require "nixio.fs"
+
+if fs.access("/var/run/olsrd.pid") then
+ local stamp, intv
+ local x = uci.cursor()
+
+ x:foreach("olsrd", "LoadPlugin",
+ function(s)
+ if s.library == "olsrd_watchdog.so.0.1" then
+ intv = tonumber(s.interval)
+ stamp = s.file
+ end
+ end)
+
+ if intv and fs.access(stamp) then
+ local systime = os.time()
+ local wdgtime = tonumber(io.lines(stamp)())
+
+ if not wdgtime or ( systime - wdgtime ) > ( intv * 2 ) then
+ os.execute("logger -t 'OLSR watchdog' 'Process died - restarting!'")
+ os.execute("/etc/init.d/olsrd restart")
+ end
+ end
+end
--- /dev/null
+#!/bin/sh
+
+uci_get_one() {
+ for var in "$@"; do
+ uci -P /var/state get "$var" 2>/dev/null && break
+ done
+}
+
+local servers="$(uci_get_one 'network.wan.lease_timesrv') $(uci show timeserver | sed -ne 's/.*hostname=//p')"
+
+if [ -n "$servers" ]; then
+ for server in $servers; do
+ rdate -s $server >/dev/null 2>/dev/null && \
+ logger -t rdate "Synced with $server" && break
+
+ logger -t rdate "Failed to sync with $server"
+ done
+else
+ logger -t rdate "No usable time server found"
+fi
--- /dev/null
+#!/bin/sh
+
+[ -n "${IPKG_INSTROOT}" ] || {
+ /etc/init.d/freifunk enabled || /etc/init.d/freifunk enable
+ exit 0
+}
touch $(1)/etc/init.d/luci_fixtime || true
endef
-define Package/luci-mod-freifunk/conffiles
-/etc/config/freifunk
-endef
-
$(eval $(call module,admin-core,Web UI Core module,+luci-lib-web +luci-i18n-english))
$(eval $(call module,admin-mini,LuCI Essentials - stripped down and user-friendly,+luci-mod-admin-core @BROKEN))
$(eval $(call module,admin-full,LuCI Administration - full-featured for full control,+luci-mod-admin-core +luci-lib-ipkg))
$(eval $(call module,rpc,LuCI RPC - JSON-RPC API,+luci-lib-json))
-$(eval $(call module,freifunk,LuCI Freifunk module,+luci-mod-admin-full +luci-lib-json +PACKAGE_luci-mod-freifunk:freifunk-firewall))
+$(eval $(call module,freifunk,LuCI Freifunk module,+luci-mod-admin-full +luci-lib-json +PACKAGE_luci-mod-freifunk:freifunk-firewall +freifunk-common +community-profiles))
$(eval $(call module,niu,NIU - Next Generation Interface,+luci-mod-admin-core @BROKEN))
+++ /dev/null
-package 'freifunk'
-
-config 'public' 'contact'
- option 'nickname' ''
- option 'name' ''
- option 'mail' ''
- option 'phone' ''
- option 'location' ''
- option 'note' ''
-
-config 'public' 'community'
- option 'name' 'Freifunk'
- option 'homepage' 'http://freifunk.net'
-
-config 'fw_zone' 'zone_freifunk'
- option 'name' 'freifunk'
- option 'input' 'REJECT'
- option 'forward' 'REJECT'
- option 'output' 'ACCEPT'
-
-config 'fw_rule' 'fficmp'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'icmp'
-
-config 'fw_rule' 'ffhttp'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'tcp'
- option 'dest_port' '80'
-
-config 'fw_rule' 'ffhttps'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'tcp'
- option 'dest_port' '443'
-
-config 'fw_rule' 'ffssh'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'tcp'
- option 'dest_port' '22'
-
-config 'fw_rule' 'ffolsr'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'udp'
- option 'dest_port' '698'
-
-config 'fw_rule' 'ffwprobe'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'tcp'
- option 'dest_port' '17990'
-
-config 'fw_rule' 'ffdns'
- option 'dest_port' '53'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'udp'
-
-config 'fw_rule' 'ffdhcp'
- option 'src_port' '68'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'dest_port' '67'
- option 'proto' 'udp'
- option 'leasetime' '30m'
-
-config 'fw_rule' 'ffsplash'
- option 'dest_port' '8082'
- option 'src' 'freifunk'
- option 'target' 'ACCEPT'
- option 'proto' 'tcp'
-
-config 'fw_forwarding' 'lanfffwd'
- option 'src' 'lan'
- option 'dest' 'freifunk'
-
-config 'fw_forwarding' 'ffwanfwd'
- option 'src' 'freifunk'
- option 'dest' 'wan'
-
-config 'fw_forwarding' 'fffwd'
- option 'src' 'freifunk'
- option 'dest' 'freifunk'
-
-config 'include' 'freifunk'
- option 'path' '/etc/firewall.freifunk'
-
-config 'defaults' 'system'
- option 'zonename' 'Europe/Berlin'
- option 'timezone' 'CET-1CEST,M3.5.0,M10.5.0/3'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
- option 'diversity' '1'
- option 'disabled' '0'
- option 'country' 'DE'
- option 'hwmode' '11g'
- option 'distance' '1000'
-
-config 'defaults' 'wifi_iface'
- option 'mode' 'adhoc'
- option 'encryption' 'none'
- option 'bgscan' '0'
- option 'bssid' '12:CA:FF:EE:BA:BE'
- option 'sw_merge' '1'
- option 'mcast_rate' '5500'
- option 'probereq' '1'
-
-config 'defaults' 'interface'
- option 'netmask' '255.255.0.0'
- option 'dns' '8.8.8.8 212.204.49.83 141.1.1.1'
-
-config 'defaults' 'alias'
- option 'netmask' '255.255.255.0'
-
-config 'defaults' 'dhcp'
- option 'leasetime' '30m'
- option 'force' '1'
-
-config 'defaults' 'olsr_interfacedefaults'
- option 'Ip4Broadcast' '255.255.255.255'
-
-config 'defaults' 'upgrade'
- option 'repository' 'http://dev.luci.freifunk-halle.net/freifunk-snapshots'
- option 'rssfeed' 'http://firmware.leipzig.freifunk.net/kamikaze/.rss.xml'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk'
- option 'homepage' 'http://freifunk.net'
- option 'ssid' 'www.freifunk.net'
- option 'splash_network' '10.104.0.0/16'
- option 'latitude' '52.000'
- option 'longitude' '10.000'
- option 'splash_prefix' '28'
- option 'mesh_network' '10.0.0.0/8'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Aachen'
- option 'homepage' 'http://aachen.freifunk.net'
- option 'ssid' 'aachen.freifunk.net'
- option 'suffix' 'ffc'
- option 'latitude' '50.77900'
- option 'longitude' '6.05399'
- option 'mesh_network' '10.90.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '28'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Augsburg'
- option 'homepage' 'http://augsburg.freifunk.net'
- option 'ssid' 'augsburg.freifunk.net'
- option 'mesh_network' '10.11.0.0/18'
- option 'splash_network' '10.104.0.0/16'
- option 'latitude' '48.37071'
- option 'longitude' '10.89475'
- option 'suffix' 'ffa'
- option 'splash_prefix' '27'
-
-config 'defaults' 'interface'
- option 'netmask' '255.255.192.0'
-
-config 'defaults' 'bssidscheme'
- option '1' '02:CA:FF:EE:BA:BE'
- option '13' '13:CA:FF:EE:BA:BE'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Bayreuth'
- option 'homepage' 'http://bayreuth.freifunk.net'
- option 'ssid' 'bayreuth.freifunk.net'
- option 'mesh_network' '10.195.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'latitude' '49.945812'
- option 'longitude' '11.575045'
- option 'suffix' 'ffbt'
- option 'splash_prefix' '28'
-
-config 'defaults' 'interface'
- option 'netmask' '255.255.192.0'
-
-config 'defaults' 'wifi_device'
- option 'channel' '4'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' '42:CA:FF:EE:BA:BE'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Bensheim'
- option 'homepage' 'http://bensheim.freifunk.net'
- option 'ssid' 'bensheim.freifunk.net'
- option 'mesh_network' '10.49.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '49.63939'
- option 'longitude' '8.633718'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Piratenfreifunk Bergisches Land'
- option 'homepage' 'http://www.piraten-bergisches-land.de'
- option 'ssid' 'PiratenfunkBL'
- option 'mesh_network' '10.3.0.0/16'
- option 'splash_network' '192.168.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.26849'
- option 'longitude' '7.19476'
-
-config 'defaults' 'wifi_device'
- option 'channel' '11'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' '02:40:00:42:42:42'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Berlin'
- option 'homepage' 'http://berlin.freifunk.net'
- option 'ssid' 'olsr.freifunk.net'
- option 'mesh_network' '104.0.0.0/8'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '52.52075'
- option 'longitude' '13.40948'
-
-config 'defaults' 'wifi_device'
- option 'channel' '10'
-
-config 'defaults' 'interface'
- option 'netmask' '255.0.0.0'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'carbodebit'
- option 'homepage' 'http://carbodebit.net'
- option 'ssid' 'VHDCARBES'
- option 'mesh_network' '10.72.1.0/24'
- option 'latitude' '43.633683'
- option 'longitude' '2.160894'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' 'DE:78:70:E4:FA:B8'
-
-config 'defaults' 'interface'
- option 'netmask' '255.255.255.0'
- option 'dns' '10.70.1.1 213.190.64.170 213.190.64.166'
-
-config 'defaults' 'wifi_device'
- option 'channel' '11'
- option 'country' 'FR'
- option 'distance' '2000'
-
-config 'defaults' 'bssidscheme'
- option 'all' 'DE:78:70:E4:FA:B8'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Dresden'
- option 'homepage' 'http://ddmesh.de/'
- option 'ssid' 'dresden.freifunk.net'
- option 'mesh_network' '10.12.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.05081'
- option 'longitude' '13.73420'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Duesseldorf'
- option 'homepage' 'http://freifunk-duesseldorf.de'
- option 'ssid' 'duesseldorf.freifunk.net'
- option 'mesh_network' '10.40.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.217812'
- option 'longitude' '6.761564'
-
-config 'defaults' 'wifi_device'
- option 'channel' '3'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' '02:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Evernet eG'
- option 'homepage' 'http://www.evernet-eg.de'
- option 'ssid' 'evernet.freifunk.net'
- option 'mesh_network' '10.0.0.0/8'
- option 'latitude' '51.15692062509162'
- option 'longitude' '10.716041922569275'
- option 'suffix' 'evernet'
-
-config 'defaults' 'interface'
- option 'netmask' '255.0.0.0'
-
-config 'defaults' 'bssidscheme'
- option 'all' '02:CA:FF:EE:BA:BE'
-
-config 'defaults' 'wifi_device'
- option 'channel' '13'
- option 'country' 'DE'
- option 'txpower' '19'
- option 'beacon_int' '5000'
- option 'distance' '1500'
- option 'noscan' '0'
-
-config 'defaults' 'wifi_iface'
- option 'mcast_rate' '6000'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Gadow'
- option 'homepage' 'http://gadow.freifunk.net'
- option 'ssid' 'gadow.freifunk.net'
- option 'mesh_network' '104.0.0.0/8'
- option 'splash_network' '10.61.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '53.11'
- option 'longitude' '12.61'
-
-config 'defaults' 'interface'
- option 'netmask' '255.0.0.0'
-
-config 'defaults' 'bssidscheme'
- option '1' '02:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Guifi Bages'
- option 'homepage' 'http://guifi.net/PlaBages'
- option 'ssid' 'guifibages'
- option 'mesh_network' '10.224.3.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'theme' 'luci-theme-freifunk-generic'
- option 'latitude' '41.718437'
- option 'longitude' '1.826477'
- option 'suffix' 'guifibages.cat'
- option 'splash_prefix' '27'
- option 'extrapackages' 'luci-app-olsr-viz luci-i18n-catalan'
-
-config 'defaults' 'interface'
- option 'netmask' '255.255.0.0'
-
-config 'defaults' 'bssidscheme'
- option 'all' '12:34:56:78:9a:bc'
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Halle'
- option 'homepage' 'http://halle.freifunk.net'
- option 'ssid' 'halle.freifunk.net'
- option 'mesh_network' '104.62.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.47911'
- option 'longitude' '11.96901'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Hamburg'
- option 'homepage' 'http://hamburg.piratenpartei.de'
- option 'ssid' 'hamburg.freifunk.net'
- option 'mesh_network' '10.112.0.0/12'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '53.56262'
- option 'longitude' '10.01069'
-
-config 'defaults' 'interface'
- option 'netmask' '255.240.0.0'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Hannover'
- option 'homepage' 'http://hannover.freifunk.net'
- option 'ssid' 'hannover.freifunk.net'
- option 'mesh_network' '10.2.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '52.38427'
- option 'longitude' '9.74359'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' 'CA:FF:EE:CA:FF:EE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Heppenheim'
- option 'homepage' 'http://heppenheim.freifunk.net'
- option 'ssid' 'heppenheim.freifunk.net'
- option 'mesh_network' '10.48.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.151786'
- option 'longitude' '10.415039'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Jena'
- option 'homepage' 'http://www.freifunk-jena.de'
- option 'ssid' 'www.freifunk-jena.de'
- option 'mesh_network' '10.127.0.0/20'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '29'
- option 'latitude' '50.92779'
- option 'longitude' '11.58431'
-
-config 'defaults' 'interface'
- option 'dns' '217.11.48.200 217.11.49.200 8.8.8.8'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Kiberpipa.net'
- option 'homepage' 'http://www.kiberpipa.net'
- option 'ssid' 'open.kiberpipa.net'
- option 'mesh_network' '10.14.0.0/16'
- option 'splash_network' '10.14.128.0/17'
- option 'splash_prefix' '27'
- option 'latitude' '46.05063'
- option 'longitude' '14.50402'
-
-config 'defaults' 'wifi_device'
- option 'channel' '8'
-
-config 'defaults' 'interface'
- option 'dns' '10.14.0.1 208.67.222.220 208.67.220.222'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk L59'
- option 'homepage' 'http://freifunk.net'
- option 'ssid' 'start.freifunk.net'
- option 'mesh_network' '104.59.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '52.26337'
- option 'longitude' '10.52103'
-
-config 'defaults' 'bssidscheme'
- option '1' '02:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Leipzig'
- option 'homepage' 'http://leipzig.freifunk.net'
- option 'ssid' 'leipzig.freifunk.net'
- option 'mesh_network' '104.61.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.33348'
- option 'longitude' '12.40297'
-
-config 'defaults' 'interface'
- option 'netmask' '255.0.0.0'
-
-config 'defaults' 'bssidscheme'
- option '1' '02:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Mainz'
- option 'homepage' 'http://mainz.freifunk.net'
- option 'ssid' 'mainz.freifunk.net'
- option 'mesh_network' '10.37.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '49.99635'
- option 'longitude' '8.27417'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' '02:ca:ff:ee:ba:be'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Marburg'
- option 'homepage' ' http://marburg.freifunk.de'
- option 'ssid' 'marburg.freifunk.net'
- option 'mesh_network' '10.128.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '29'
- option 'latitude' '49.63939'
- option 'longitude' '8.633718'
-
-config 'defaults' 'interface'
- option 'dns' '8.8.8.8 212.204.49.83'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Neuss'
- option 'homepage' 'http://neuss.freifunk.net'
- option 'ssid' 'neuss.freifunk.net'
- option 'mesh_network' '172.28.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.19045'
- option 'longitude' '6.69471'
-
-config 'defaults' 'wifi_device'
- option 'channel' '11'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' 'DE:AD:BE:EF:CA:FE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Oldenburg'
- option 'homepage' 'http://oldenburg.freifunk.net'
- option 'ssid' 'oldenburg.freifunk.net'
- option 'mesh_network' '10.18.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '53.14083'
- option 'longitude' '8.21314'
-
-config 'defaults' 'wifi_device'
- option 'channel' '6'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' '02:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Openwireless Bern'
- option 'homepage' 'http://bern.openwireless.ch/'
- option 'ssid' 'www.openwireless.ch'
- option 'mesh_network' '10.247.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '50.814788'
- option 'longitude' '8.769239'
-
-config 'defaults' 'interface'
- option 'dns' '208.67.222.222 208.67.220.220'
-
-config 'defaults' 'wifi_device'
- option 'channel' '10'
- option 'country' '756'
-
-
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Berlin Prenzlauer Berg'
- option 'homepage' 'http://pberg.freifunk.net'
- option 'ssid' 'olsr.freifunk.net'
- option 'mesh_network' '104.0.0.0/8'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '52.5427'
- option 'longitude' '13.4172'
-
-config 'defaults' 'wifi_device'
- option 'channel' '10'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Piratenfreifunk Dresden'
- option 'homepage' 'http://www.piraten-sachsen.de/'
- option 'ssid' 'dresden.freifunk.net'
- option 'mesh_network' '10.12.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '51.05081'
- option 'longitude' '13.73420'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Potsdam'
- option 'homepage' 'http://potsdam.freifunk.net'
- option 'ssid' 'www.freifunk-potsdam.de'
- option 'mesh_network' '10.22.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '52.39349'
- option 'longitude' '13.06489'
-
-config 'defaults' 'wifi_device'
- option 'channel' '13'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Rosbach'
- option 'homepage' 'freifunk-rosbach.de'
- option 'ssid' 'rosbach.freifunk.net'
- option 'mesh_network' '10.212.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '50.18'
- option 'longitude' '8.42'
-
-config 'defaults' 'wifi_device'
- option 'channel' '13'
-
-config 'defaults' 'wifi_iface'
- option 'bssid' 'D2:CA:FF:EE:BA:BE'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'Freifunk Seefeld'
- option 'homepage' 'http://wiki.freifunk.net/Seefeld.freifunk.net'
- option 'ssid' 'seefeld.freifunk.net'
- option 'mesh_network' '10.111.0.0/16'
- option 'splash_network' '10.104.0.0/16'
- option 'splash_prefix' '27'
- option 'latitude' '48.03485'
- option 'longitude' '11.21279'
-
-config 'defaults' 'wifi_device'
- option 'channel' '1'
- option 'bssid' '02:CA:FF:EE:BA:BB'
+++ /dev/null
-config 'community' 'profile'
- option 'name' 'wlan ljubljana'
- option 'homepage' 'http://wlan-lj.net'
- option 'ssid' 'open.wlan-lj.net'
- option 'mesh_network' '10.254.0.0/16'
- option 'splash_network' '10.254.120.0/21'
- option 'splash_prefix' '27'
- option 'latitude' '46.05063'
- option 'longitude' '14.50402'
-
-config 'defaults' 'wifi_device'
- option 'channel' '8'
-
-config 'defaults' 'interface'
- option 'dns' '10.254.0.1 10.254.0.2'
+++ /dev/null
-#!/bin/sh /etc/rc.common
-# Freifunk Init
-# $Id$
-
-START=99
-
-boot() {
- test -f /etc/crontabs/root || touch /etc/crontabs/root
-
- grep -q 'killall -HUP dnsmasq' /etc/crontabs/root || {
- echo "*/5 * * * * killall -HUP dnsmasq" >> /etc/crontabs/root
- }
-
- grep -q '/usr/sbin/ff_olsr_watchdog' /etc/crontabs/root || {
- echo "*/5 * * * * /usr/sbin/ff_olsr_watchdog" >> /etc/crontabs/root
- }
-
- grep -q '/usr/sbin/ff_rdate' /etc/crontabs/root || {
- echo "0 */4 * * * /usr/sbin/ff_rdate" >> /etc/crontabs/root
- }
-
- [ -d /etc/rc.local.d ] && {
- for file in /etc/rc.local.d/*; do
- test -f "$file" && . "$file"
- done
- }
-
- ( sleep 40; /usr/sbin/ff_rdate; /etc/init.d/cron restart ) &
-}
+++ /dev/null
-# Fixup various configurations to remove quirks
-# from former versions.
-
-_log() {
- logger -t "Config Migration" "$1"
-}
-
-_uci() {
- uci ${2:+-c $2} get "$1" 2>/dev/null
-}
-
-
-# Splash redirector had a wrong virtual url match
-# which resulted in "No such handler"
-
-[ "$(_uci lucid.splashredir.virtual)" == "/" ] && {
- _log "Fix splash redirector configuration"
- uci set lucid.splashredir.virtual=''
- uci commit lucid
- /etc/init.d/lucid restart
-}
-
-
-# Newer OLSR versions have the MinTCVtime hack active,
-# ensure proper timings or olsrd won't start
-
-FIX=0
-for i in 0 1 2 3 4; do
- [ -z "$(_uci olsrd.@Interface[$i].TcInterval)" ] && \
- [ -z "$(_uci olsrd.@Interface[$i].TcValidityTime)" ] || {
- uci delete olsrd.@Interface[$i].TcInterval
- uci delete olsrd.@Interface[$i].TcValidityTime
- FIX=1
- }
-done
-
-[ "$FIX" == 1 ] && {
- _log "Fix olsrd configuration for MinTCVTime hack"
- uci commit olsrd
- /etc/init.d/olsrd restart
-}
-
-
-# Ensure that the community definitions are in the
-# new format
-
-[ -z "$(_uci freifunk.leipzig.mesh_network)" ] && \
-[ -n "$(_uci freifunk.leipzig.mesh_network /rom/etc/config)" ] && {
- _log "Converting freifunk configuration to new format"
- cp /rom/etc/config/freifunk /etc/config/freifunk
-}
+++ /dev/null
-uci set uhttpd.main.rfc1918_filter=0
-uci commit uhttpd